resource "openstack_networking_network_v2" "network_internal_app" {
  name           = "${var.system_name}-app-network"
  description    = "Internal network for fake app VM Networking"
  admin_state_up = "true"

  tags = [
    "app=openstack",
    "role=network",
  ]
}

resource "openstack_networking_subnet_v2" "network_subnet_internal_app" {
  name       = "${var.system_name}-app-subnet"
  network_id = openstack_networking_network_v2.network_internal_app.id
  cidr       = "192.168.1.0/24"
  no_gateway = "false"

  dns_nameservers = [
    var.dns1,
    var.dns2,
    var.dns3,
  ]

  tags = [
    "app=openstack",
    "role=network",
  ]
}
