
resource "openstack_compute_instance_v2" "server_app" {
  count           = var.app_vm_count
  name            = "${var.system_name}-app-${format("%02d", count.index + 1)}"
  flavor_name     = var.flavor_app
  key_pair        = openstack_compute_keypair_v2.key.name
  security_groups = [openstack_networking_secgroup_v2.secgroup_app.name]
  network {
    port = openstack_networking_port_v2.app_ports.*.id[count.index]
  }
  block_device {
    uuid                  = data.openstack_images_image_v2.image_app.id
    source_type           = "image"
    destination_type      = "volume"
    volume_size           = var.volume_app_os
    boot_index            = 0
    delete_on_termination = true
  }

  scheduler_hints {
    group = openstack_compute_servergroup_v2.app_server_group_anti_affinity.id
  }

}

